﻿@code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Pdf Bookmarks - VB.NET / ASP.NET MVC"
    ViewBag.Description = "SelectPdf Pdf Bookmarks Sample for VB.NET and ASP.NET. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "pdf bookmarks, pdf library, sample code, html to pdf, pdf converter"
End code

@Using (Html.BeginForm("SubmitAction", "PdfBookmarks", FormMethod.Post))

    @<article class="post type-post status-publish format-standard hentry">
        <header class="entry-header">
            <h1 class="entry-title">SelectPdf for .NET - Pdf Bookmarks - VB.NET / ASP.NET MVC Sample</h1>
        </header>
        <!-- .entry-header -->

        <div class="entry-content">
            <p>
                This sample shows how to create a new PDF document using SelectPdf, how to add several pages, texts and bookmarks to the document.
                <br /><br />
                A bookmark is a special link related to the pdf document that appears in the Bookmarks panel of the pdf viewer. If the pdf document that is created is very long, pdf bookmarks are a must.
                <br /><br />
                Pdf bookmarks can be created with multi-levels and different styles.
            </p>
            <p>
                <input type="submit" name="BtnConvert" value="Create PDF" class="mybutton" />
            </p>
        </div>
        <!-- .entry-content -->
    </article>

End Using
    