﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samples.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="SelectPdf.Samples.Default" ValidateRequest="false" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>SelectPdf for .NET - Pdf Library for .NET Sample Code - C# / ASP.NET</title>
    <meta name="description" content="SelectPdf Samples for C# and ASP.NET classic. Pdf Library for .NET with full sample code in C# and VB.NET." itemprop="description">
    <meta name="keywords" content="pdf library, sample code, html to pdf, pdf converter" itemprop="keywords">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="server">
        <article class="post type-post status-publish format-standard hentry">
            <header class="entry-header">
                <h1 class="entry-title">SelectPdf for .NET - Pdf Library for .NET - C# / ASP.NET Samples</h1>
            </header>
            <!-- .entry-header -->

            <div class="entry-content">
                <p>
                    <a href="http://selectpdf.com" title="Pdf Library for .NET">SelectPdf for .NET</a> is a powerful component that contains features to create, edit, 
                    read and manipulate PDF documents in .NET Framework applications.
                    SelectPdf does not have any 3rd party dependencies and does not need users to install Adobe software to be able to create PDF documents.
                </p>
                <p>

                </p>
                <div class="col2">
                <h3>Pdf Creation Basics</h3>
				<nav class="nav-single">
                    <a href="getting-started.aspx" title="Getting Started with Select.Pdf Library for .NET">Getting Started</a><br />
                    <a href="document-properties.aspx" title="Document Properties Settings - Select.Pdf Library for .NET">Document Properties</a><br />
                    <a href="pdf-viewer-preferences.aspx" title="Pdf Viewer Settings - Select.Pdf Library for .NET">Pdf Viewer Preferences</a><br />
                    <a href="page-settings.aspx" title="Pdf Page Settings - Select.Pdf Library for .NET">Pdf Page Settings</a><br />
                    <a href="pdf-security.aspx" title="Pdf Security Settings - Select.Pdf Library for .NET">Pdf Security Settings</a><br />
                    <a href="pdf-elements-positions.aspx" title="Pdf Elements Rendering Positions - Select.Pdf Library for .NET">Pdf Elements Rendering Positions</a><br />
                    <a href="pdf-text-element.aspx" title="Pdf Text Element Properties - Select.Pdf Library for .NET">Pdf Text Element Properties</a><br />
                    <a href="pdf-image-element.aspx" title="Pdf Image Element Properties - Select.Pdf Library for .NET">Pdf Image Element Properties</a><br />
                    <a href="pdf-html-element.aspx" title="Pdf Html Element Properties - Select.Pdf Library for .NET">Pdf Html Element</a><br />
                    <a href="graphic-elements.aspx" title="Pdf Graphic Elements - Select.Pdf Library for .NET">Pdf Graphic Elements</a><br />
                    <a href="pdf-links.aspx" title="Pdf Internal and External Links - Select.Pdf Library for .NET">Pdf Links</a><br />
                    <a href="pdf-bookmarks.aspx" title="Pdf Bookmarks - Select.Pdf Library for .NET">Pdf Bookmarks</a><br />
				</nav>

                <h3>Advanced Topics</h3>
				<nav class="nav-single">
                    <a href="pdf-templates.aspx" title="Select.Pdf Library for .NET - Pdf Templates">Pdf Templates</a><br />
                    <a href="headers-and-footers.aspx" title="Select.Pdf Library for .NET - Pdf Document Headers and Footers">Headers and Footers</a><br />
                    <a href="pdf-stamps.aspx" title="Select.Pdf Library for .NET - Pdf Stamps">Pdf Stamps</a><br />
                    <a href="pdf-watermarks.aspx" title="Select.Pdf Library for .NET - Pdf Watermarks">Pdf Watermarks</a><br />
                    <a href="page-numbering.aspx" title="Select.Pdf Library for .NET - Page Numbering">Page Numbering</a><br />
                    <a href="pdf-merge.aspx" title="Select.Pdf Library for .NET - Pdf Merge">Pdf Merge</a><br />
                    <a href="pdf-split.aspx" title="Select.Pdf Library for .NET - Pdf Split">Pdf Split</a><br />
                    <a href="digital-signatures.aspx" title="Select.Pdf Library for .NET - Digital Signatures">Digital Signatures</a><br />
                    <a href="modify-existing-pdf.aspx" title="Select.Pdf Library for .NET - Modify Existing Pdf Documents">Modify Existing Pdf</a><br />
                    <a href="pdf-compression.aspx" title="Select.Pdf Library for .NET - Pdf Compression">Pdf Compression</a><br />
                    <a href="advanced-pdf-security.aspx" title="Advanced Pdf Security Settings and Digital Signatures - Select.Pdf Library for .NET">Advanced Security Settings</a><br />
                    <a href="pdf-form-filling.aspx" title="Pdf Form Filling - Select.Pdf Library for .NET">Form Filling</a><br />
                    <a href="pdf-portfolio.aspx" title="Pdf Portfolio - Select.Pdf Library for .NET">Pdf Portfolio</a><br />
                    <a href="pdf-resize.aspx" title="Pdf Resize/Scale PDF Pages - Select.Pdf Library for .NET">Pdf Resize/Scale Content</a><br />
                    <a href="existing-pdf-headers-and-footers.aspx" title="Select.Pdf Library for .NET - Existing Pdf Document Headers and Footers">Add Headers and Footers to Existing PDF</a><br />
				</nav>
                </div>
                <div class="col2">
                <h3>Html to Pdf Converter</h3>
				<nav class="nav-single">
                    <a href="html-to-pdf-converter.aspx" title="Select.Pdf Library for .NET - Html to Pdf Converter">Getting Started</a><br />
                    <a href="convert-url-to-pdf.aspx" title="Select.Pdf Library for .NET - Convert from url to pdf">Convert Url to Pdf</a><br />
                    <a href="convert-html-code-to-pdf.aspx" title="Select.Pdf Library for .NET - Convert from html code to pdf">Convert Html Code to Pdf</a><br />
                    <a href="pdf-converter-properties.aspx" title="Select.Pdf Library for .NET - Setting Document Properties with Html to Pdf Converter">Pdf Document Properties</a><br />
                    <a href="pdf-converter-viewer-preferences.aspx" title="Select.Pdf Library for .NET - Setting Pdf Viewer Preferences for the Html to Pdf Converter">Pdf Viewer Preferences</a><br />
                    <a href="pdf-converter-security.aspx" title="Select.Pdf Library for .NET - Setting Pdf Document Security with the Html to Pdf Converter">Pdf Security Settings</a><br />
                    <a href="convert-multiple-urls-to-pdf.aspx" title="Select.Pdf Library for .NET - Convert Multiple Urls into the same Pdf Document">Multiple Urls to one Pdf Document</a><br />
                    <a href="conversion-delay.aspx" title="Select.Pdf Library for .NET - Conversion Delay with Html to Pdf Converter">Conversion Delay</a><br />
                    <a href="html-to-pdf-headers-and-footers.aspx" title="Select.Pdf Library for .NET - Pdf Headers and Footers with Html to Pdf Converter">Headers and Footers</a><br />
                    <a href="page-breaks.aspx" title="Select.Pdf Library for .NET - Control Page Breaks with Html to Pdf Converter">Page Breaks</a><br />
                    <a href="automatic-bookmarks.aspx" title="Select.Pdf Library for .NET - Automatic Bookmarks with Html to Pdf Converter">Automatic Bookmarks</a><br />
                    <a href="http-headers.aspx" title="Select.Pdf Library for .NET - Set HTTP Headers with Html to Pdf Converter">HTTP Headers</a><br />
                    <a href="http-cookies.aspx" title="Select.Pdf Library for .NET - Set HTTP Cookies with Html to Pdf Converter">HTTP Cookies</a><br />
                    <a href="http-post-request.aspx" title="Select.Pdf Library for .NET - Set parameters with a POST request with Html to Pdf Converter">HTTP POST Request</a><br />
                    <a href="convert-from-js.aspx" title="Select.Pdf Library for .NET - Start html to pdf conversion with a javascript call">Start Conversion from Javascript</a><br />
                    <a href="media-types.aspx" title="Select.Pdf Library for .NET - Use media types with Html to Pdf Converter">Media Types</a><br />
                    <a href="html-to-pdf-converter-links.aspx" title="Select.Pdf Library for .NET - Pdf Internal and External Links - Html to Pdf Converter">Internal and External Links</a><br />
                    <a href="partial-conversion.aspx" title="Select.Pdf Library for .NET - Convert a Specific Section from the Web Page to Pdf">Partial Page Conversion</a><br />
                    <a href="exclude-from-conversion.aspx" title="Select.Pdf Library for .NET - Exclude Specific Sections from the Web Page when Converted to Pdf">Exclude Elements from Conversion</a><br />
                    <a href="convert-current-page-to-pdf.aspx" title="Select.Pdf Library for .NET - Convert Current WebPage to Pdf">Current WebPage to Pdf in Asp.Net</a><br />
                    <a href="convert-and-email.aspx" title="Select.Pdf Library for .NET - Convert WebPage to Pdf and Email as Attachment">Convert to Pdf and Email as Attachment</a><br />
                    <a href="web-elements-location.aspx" title="Select.Pdf Library for .NET - Get Web Elements Location in PDF">Get Web Elements Location in PDF</a><br />
                    <a href="table-of-contents.aspx" title="Select.Pdf Library for .NET - Generate Table of Contents">Generate Table of Contents</a><br />
				</nav>
                <h3>Html to Image Converter</h3>
				<nav class="nav-single">
                    <a href="convert-url-to-image.aspx" title="Select.Pdf Library for .NET - Convert from url to image">Convert Url to Image</a><br />
                    <a href="convert-html-code-to-image.aspx" title="Select.Pdf Library for .NET - Convert from html code to image">Convert Html Code to Image</a><br />
                </nav>
                <h3>Pdf To Text Converter</h3>
				<nav class="nav-single">
                    <a href="pdf-to-text-converter.aspx" title="Select.Pdf Library for .NET - Pdf To Text Converter">Extract Text from PDF</a><br />
                    <a href="search-pdf-text.aspx" title="Select.Pdf Library for .NET - Search for Text in PDF">Search for Text in PDF</a><br />
				</nav>
                <h3>Pdf To Image Converter</h3>
				<nav class="nav-single">
                    <a href="pdf-to-image-converter.aspx" title="Select.Pdf Library for .NET - Pdf Rasterizer - Pdf To Image Converter">Convert PDF Pages to Images</a><br />
				</nav>
                </div>

                <div class="col-clear"><br /></div>
                <div>
                    <p>
                        SelectPdf Library for .NET free trial archive contains ready to use samples coded with C# and VB.NET for Windows Forms, ASP.NET, ASP.NET MVC with Razor and ASPX engines.
                    </p>
                </div>
            </div>
            <!-- .entry-content -->
        </article>
        <!-- #post -->
</asp:Content>
