﻿@Code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Pdf To Text Converter. Extract Text from PDF - VB.NET / ASP.NET MVC"
    ViewBag.Description = "Pdf To Text Converter. Extract Text from PDF Sample for VB.NET/ASPNET MVC. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "pdf to text, extract text from pdf, pdf library, sample code, html to pdf, pdf converter"
End Code

@Using (Html.BeginForm("SubmitAction", "PdfToTextConverter", FormMethod.Post))
@<article class="post type-post status-publish format-standard hentry">
    <header class="entry-header">
        <h1 class="entry-title">SelectPdf for .NET - Pdf To Text Converter. Extract Text from PDF - VB.NET / ASP.NET MVC Sample</h1>
    </header>
    <!-- .entry-header -->

    <div class="entry-content">
        <p>
            This sample shows how to use SelectPdf Pdf Library for .NET to extract text from a PDF document.
        </p>
        <p>
            The sample uses the following (existing) test PDF:<br />
            <a href="files/selectpdf.pdf" target="_blank">Test PDF document</a><br />
        </p>

        <div class="col3">
            Text Layout:<br />
            <select name="DdlTextLayout">
                <option value="Original" selected>Original (Keep Positions)</option>
                <option value="Reading">Reading (Reading Order)</option>
            </select><br />
        </div>
        <div class="col3">
            Start Page:<br />
            <input type="text" value="1" name="TxtStartPage" style="width: 100px;" />
            <br />
            <br />
        </div>
        <div class="col3">
            End Page:<br />
            <input type="text" value="" name="TxtEndPage" style="width: 100px;" />
            <br />
            (Leave empty to extract until the last page)<br />
            <br />
        </div>

        <div class="col-clear"></div>
        <p>
            Note: The free trial version of SelectPdf will always extract text from the first 3 pages of the PDF document, no matter the page settings received.
        </p>
        <p>
            <input type="submit" name="BtnConvert" value="Extract Text" class="mybutton" />
        </p>
    </div>
    <!-- .entry-content -->
</article>
End Using